Bug 3443 - Script should be created to test Xattr support
Script should be created to test Xattr support
Status: RESOLVED WONTFIX
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
x86 Linux
: P3 enhancement
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 20:49 UTC by Julien Goodwin
Modified: 2009-07-02 04:59 UTC (History)
1 user (show)

See Also:


Attachments
First bash at test script (1.58 KB, text/plain)
2006-02-18 07:39 UTC, Julien Goodwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Goodwin 2006-01-24 20:49:46 UTC
(So I don't have to manually type lots of text in to a vmware session)

This also allows things like friendly error messages inlcuding what to fix for the specific filesystem, checking if the kernel supports stuff etc.
Comment 1 Julien Goodwin 2006-01-24 21:02:30 UTC
Just a note, I'm going to try giving this a shot after I get back from LCA.
Comment 2 Julien Goodwin 2006-02-18 07:39:45 UTC
Created attachment 1740 [details]
First bash at test script

The attachment is a first bash at a script, it either checks a specified directory or the root directory of all mounted filesystems.

Note that the use of $$ as a file name is considered a security hole by some people, even in scripts like this (eg debian security team). If this gets merged it should use some platform-neutral equivilent of mktemp.

Thanks,
Julien
Comment 3 Matthias Dieter Wallnöfer 2008-01-07 12:13:10 UTC
Andrew, have you tested this script?
Comment 4 Andrew Bartlett 2008-04-23 09:38:12 UTC
Yes, it should use mktemp.  Let's not get a slap later if we can avoid it.
Comment 5 Matthias Dieter Wallnöfer 2009-06-27 08:58:32 UTC
Question: Should this script still be created? If there isn't any interest anymore I'll close this bug with WONTFIX.
Comment 6 Matthias Dieter Wallnöfer 2009-07-02 04:59:57 UTC
No request -> closing for now.